Skip to main content

Create Applicant Event: Entrata

POSThttps://api.propexo.com/v1/events/applicants/entrata/

Create an event for an applicant in Entrata. Entrata expects all times to be in Mountain Time (UTC-7:00 or UTC-6:00 depending on daylight savings). Times will be automatically converted based on the local time of the property when an end user views the event time in the browser.

Method
leads/updateLeads
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    application_idstringrequired

    The Propexo unique identifier for the application

    event_type_idstringrequired

    The Propexo unique identifier for the event type. Not all event types are currently supported. Contact Propexo support if there's an event type you'd like supported.

    event_result_idstring

    The Propexo unique identifier for the event result

    event_sub_type_idstring

    The Propexo unique identifier for the event sub type

    employee_idstring

    The Propexo unique identifier for the employee

    unit_idstring

    The Propexo unique identifier for the unit

    event_datetimestring<date-time>required

    The date when the event will occur

    reasons_for_eventstring

    The reasons for the event

    notesstring

    Notes associated with the event

    appointment_datetimestring<date-time>

    The date when the appointment will occur

    time_fromstring
    time_tostring
    titlestring

    The title associated with the event

    call_phone_number_fromstring

    The phone number that the call was made from. Required for call event types.

    call_phone_number_tostring

    The phone number that the call was received on. Required for call event types.

    call_statusstring

    The status of the call. Required for call event types.

    Show 7 enum values
    BUSYABANDONEDDISCONNECTEDFAILURE_TO_CONNECTNO_ANSWERANSWERVOICEMAIL
    call_durationinteger

    The duration of the call in seconds. Required for call event types.

    Possible values: >= 0 and <= 86400

    call_audio_linkstring<uri>

    The URL of the audio file for the call. This can be any valid URL and doesn't necessarily need to link to a audio file. Required for call event types.

    email_bodystring

    The body of the email.

    email_subjectstring

    The subject of the email.

    email_fromstring

    The email address that the email was sent from. Required for email outgoing event types.

    email_tostring

    The email address that the email was sent to. If specified, this must be the same email address as the lead's primary email address

    email_ccstring

    The carbon copy email address that the email was sent to.

    email_bccstring

    The blind carbon copy email address that the email was sent to.

    email_sendboolean

    Whether the email should be sent.

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    application_idstringrequired

    The Propexo unique identifier for the application

    event_type_idstringrequired

    The Propexo unique identifier for the event type. Not all event types are currently supported. Contact Propexo support if there's an event type you'd like supported.

    event_result_idstring | nullnullablerequired

    The Propexo unique identifier for the event result

    event_sub_type_idstring | nullnullablerequired

    The Propexo unique identifier for the event sub type

    employee_idstring | nullnullablerequired

    The Propexo unique identifier for the employee

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    event_datetimestring<date-time>required

    The date when the event will occur

    reasons_for_eventstring | nullnullablerequired

    The reasons for the event

    notesstring | nullnullablerequired

    Notes associated with the event

    appointment_datetime(string | null)<date-time>nullablerequired

    The date when the appointment will occur

    time_fromstring | nullnullablerequired

    The time that the appointment will start. HH:MM:SS format. Required if using appointment type.

    time_tostring | nullnullablerequired

    The time that the appointment will end. HH:MM:SS format. Required if using appointment type.

    titlestring | nullnullablerequired

    The title associated with the event

    call_phone_number_fromstring | nullnullablerequired

    The phone number that the call was made from. Required for call event types.

    call_phone_number_tostring | nullnullablerequired

    The phone number that the call was received on. Required for call event types.

    call_statusstring | nullnullablerequired

    The status of the call. Required for call event types.

    Show 7 enum values
    BUSYABANDONEDDISCONNECTEDFAILURE_TO_CONNECTNO_ANSWERANSWERVOICEMAIL
    call_durationinteger | nullnullablerequired

    The duration of the call in seconds. Required for call event types.

    Possible values: >= 0 and <= 86400

    call_audio_link(string | null)<uri>nullablerequired

    The URL of the audio file for the call. This can be any valid URL and doesn't necessarily need to link to a audio file. Required for call event types.

    email_bodystring | nullnullablerequired

    The body of the email.

    email_subjectstring | nullnullablerequired

    The subject of the email.

    email_fromstring | nullnullablerequired

    The email address that the email was sent from. Required for email outgoing event types.

    email_tostring | nullnullablerequired

    The email address that the email was sent to. If specified, this must be the same email address as the lead's primary email address

    email_ccstring | nullnullablerequired

    The carbon copy email address that the email was sent to.

    email_bccstring | nullnullablerequired

    The blind carbon copy email address that the email was sent to.

    email_sendboolean | nullnullablerequired

    Whether the email should be sent.

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/applicants/entrata/
curl -X POST https://api.propexo.com/v1/events/applicants/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"applicant_id": "string",
"application_id": "string",
"event_type_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"applicant_id": "string",
"application_id": "string",
"event_type_id": "string",
"event_result_id": "string",
"event_sub_type_id": "string",
"employee_id": "string",
"unit_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z",
"reasons_for_event": "string",
"notes": "string",
"appointment_datetime": "2024-07-29T15:51:28.071Z",
"time_from": "string",
"time_to": "string",
"title": "string",
"call_phone_number_from": "string",
"call_phone_number_to": "string",
"call_status": "BUSY",
"call_duration": 0,
"call_audio_link": "string",
"email_body": "string",
"email_subject": "string",
"email_from": "string",
"email_to": "string",
"email_cc": "string",
"email_bcc": "string",
"email_send": true
}
}